> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiinbx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reply to an email

> Reply to an existing email. Automatically handles reply headers (In-Reply-To, References) and thread association. The reply will be sent from a verified domain belonging to the organization.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/ai-inbx/openapi.documented.yml post /emails/{emailId}/reply
openapi: 3.1.0
info:
  title: AI Inbx API
  description: Email infrastructure API for AI agents and applications
  version: 1.0.0
servers:
  - url: https://api.aiinbx.com/api/v1
security: []
tags:
  - name: Emails
  - name: Threads
paths:
  /emails/{emailId}/reply:
    post:
      tags:
        - Emails
      summary: Reply to an email
      description: >-
        Reply to an existing email. Automatically handles reply headers
        (In-Reply-To, References) and thread association. The reply will be sent
        from a verified domain belonging to the organization.
      operationId: replyToEmail
      parameters:
        - in: path
          name: emailId
          description: The ID of the email being replied to
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                to:
                  anyOf:
                    - type: string
                      format: email
                    - type: array
                      items:
                        type: string
                        format: email
                from:
                  type: string
                  format: email
                from_name:
                  type: string
                  maxLength: 320
                subject:
                  type: string
                  maxLength: 998
                html:
                  type: string
                text:
                  type: string
                cc:
                  anyOf:
                    - type: string
                      format: email
                    - type: array
                      items:
                        type: string
                        format: email
                bcc:
                  anyOf:
                    - type: string
                      format: email
                    - type: array
                      items:
                        type: string
                        format: email
                reply_all:
                  type: boolean
                  default: false
                is_draft:
                  type: boolean
                  default: false
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      file_name:
                        type: string
                      content:
                        type: string
                      content_type:
                        type: string
                      disposition:
                        type: string
                        enum:
                          - attachment
                          - inline
                      cid:
                        type: string
                    required:
                      - file_name
                      - content
                track_opens:
                  type: boolean
                track_clicks:
                  type: boolean
              required:
                - from
                - html
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  emailId:
                    type: string
                  threadId:
                    type: string
                  messageId:
                    type: string
                required:
                  - emailId
                  - threadId
                  - messageId
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import AIInbx from 'aiinbx';


            const client = new AIInbx({
              apiKey: process.env['AI_INBX_API_KEY'], // This is the default and can be omitted
            });


            const response = await client.emails.reply('emailId', { from:
            'dev@stainless.com', html: 'html' });


            console.log(response.emailId);
        - lang: Python
          source: |-
            import os
            from aiinbx import AIInbx

            client = AIInbx(
                api_key=os.environ.get("AI_INBX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.emails.reply(
                email_id="emailId",
                from_="dev@stainless.com",
                html="html",
            )
            print(response.email_id)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key authentication using Bearer token

````